import request from '@/assets/js/utils/request'
import { createURL } from '@/assets/js/utils/index'
/*
 * =======================采购-供应商-可参与项目-提交报名==============================
 * */
//  供应商-报名可参与项目列表-非竞价数据
export function notBiddingInfo(data) {
  return request({
    url: '/bidprocurement/procurement-signup/procurementSignUp/immediatelyQuotedPrice',
    method: 'post',
    data
  })
}
//  供应商-报名可参与项目-报名提交
export function mapParticipationApply(data) {
  return request({
    url: '/bidprocurement/procurement-signup/procurementSignUp/submitProcurementSignUp',
    method: 'post',
    data
  })
}
// 联系人信息
export function connectionSignUpMessage(data) {
  return request({
    url: '/bidprocurement/procurement-signup/procurementSignUp/connectionSignUpMessage',
    method: 'post',
    data
  })
}
// 报名查询页面显示信息
export function immediatelyQuotedPrice(data) {
  return request({
    url: '/bidprocurement/procurement-signup/procurementSignUp/immediatelyQuotedPrice',
    method: 'post',
    data
  })
}
// 联系人信息之导出名单
export function exportSignUpList(packId) {
  return request({
    url: '/bidprocurement/procurement-signup/procurementSignUp/exportSignUpList?packId=' + packId,
    method: 'post',
    responseType: 'blob'
  })
}
// 批量审核
export function auditSignUpList(signUpIds, auditStatus, auditReason) {
  return request({
    url: '/bidprocurement/procurement-signup/procurementSignUp/auditSignUpList?signUpIds=' + signUpIds + '&auditStatus=' + auditStatus + '&auditReason=' + auditReason,
    method: 'post'
  })
}
// 文件领购记录(收取标书费)
export function documentAcquisitionPurchaseRecordYes(data) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementProcfile/documentAcquisitionPurchaseRecordYes',
    method: 'post',
    data
  })
}
// 文件领购记录之导出名单
export function exportDocumentAcquisitionPurchaseRecordList(packId) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementProcfile/exportDocumentAcquisitionPurchaseRecordList?packId=' + packId,
    method: 'post',
    responseType: 'blob'
  })
}
// 文件领购记录(不收取标书费)
export function documentAcquisitionPurchaseRecordNo(data) {
  return request({
    url: '/bidprocurement/procurement-protdoc/procurementProcfile/documentAcquisitionPurchaseRecordNo',
    method: 'post',
    data
  })
}
// 联系人信息-运维人员-审批报名
export function auditSignUp(signUpId, auditStatus, auditReason) {
  return request({
    url: '/bidprocurement/procurement-signup/procurementSignUp/auditSignUp?signUpId=' + signUpId + '&auditStatus=' + auditStatus + '&auditReason=' + auditReason,
    method: 'post'
  })
}
// 修改是否同意缴费状态
export function updateIsFee(data) {
  return request({
    url: '/bidprocurement/procurement-signup/procurementSignUp/updateIsFee' + createURL(data),
    method: 'post'
  })
}
